Bug 815903 - [glusterfs-3.3.0qa38]: log-level changing command is not changing self-heal daemon's log-level
[glusterfs-3.3.0qa38]: log-level changing command is not changing self-heal d...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-24 14:40 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-04-24 14:40:08 EDT
Description of problem:

gluster volume set <volname> client-log-level <log-level> command is not changing the log-level of self-heal daemon. It should be able to change the log-level of glustershd.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-05-02 14:01:19 EDT
CHANGE: http://review.gluster.com/3234 (glustershd: allow changing of log-level through cli) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-06-11 07:19:46 EDT
Checked with glusterfs-3.3.0 and log level changing for the self-heal-daemon is working.


[2012-06-11 14:36:16.793758] I [client-handshake.c:453:client_set_lk_version_cbk] 0-mirror-client-0: Server lk version = 1
[2012-06-11 16:44:21.492033] I [glusterfsd-mgmt.c:64:mgmt_cbk_spec] 0-mgmt: Volume file changed
[2012-06-11 16:44:22.517246] I [glusterfsd-mgmt.c:64:mgmt_cbk_spec] 0-mgmt: Volume file changed
[2012-06-11 16:44:22.520657] D [io-stats.c:2583:reconfigure] 0-glustershd: reconfigure returning 0
[2012-06-11 16:44:22.520838] D [glusterfsd-mgmt.c:1592:mgmt_getspec_cbk] 0-glusterfsd-mgmt: No need to re-load volfile, reconfigure done
[2012-06-11 16:44:22.525066] I [glusterfsd-mgmt.c:1568:mgmt_getspec_cbk] 0-glusterfs: No change in volfile, continuing

Note You need to log in before you can comment on or make changes to this bug.